﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using C1.WPF.C1Chart;

namespace WpfApplication34
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.chart.Loaded += chart_Loaded;
            
        }

        void chart_Loaded(object sender, RoutedEventArgs e)
        {
            Point p1 = new Point(0, 0);
            Point p2 = new Point(10, 0);
            Point p3 = new Point(10, 10);
            Point p4 = new Point(0, 10);
            Point p5 = new Point(5, 5);
            Point[] points = new Point[] { p1, p2, p3, p4, p5 };

            chart.Data.Children.Clear();
            this.chart.Data.ItemsSource = points;
            DataSeries ds = new DataSeries();
            ds.Label = "s1";
            ds.ValueBinding = new Binding("X");
            chart.Data.Children.Add(ds);

            DataSeries ds2 = new DataSeries();
            ds2.Label = "s2";
            ds2.ValueBinding = new Binding("Y");
            chart.Data.Children.Add(ds2);

        }
    }
}
